<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.infinispan.remote-cache-container">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="connection-timeout,default-remote-cluster,marshaller,max-retries,properties,protocol-version,socket-timeout,statistics-enabled,tcp-no-delay,tcp-keep-alive,transaction-timeout,modules,key-size-estimate,value-size-estimate"/>
        <elem name="addr-params" value="profile,subsystem,remote-cache-container"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.infinispan"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container-configuration.$remote-cache-container"/>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container.$remote-cache-container"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.clustering.infinispan.remote-cache-container.remote-cluster.$remote-cache-container.$default-remote-cluster"/>
    </requires>
    <refs>
        <ref feature="subsystem.infinispan"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="value-size-estimate" nillable="true"/>
        <param name="key-size-estimate" nillable="true"/>
        <param name="default-remote-cluster"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="infinispan"/>
        <param name="max-retries" nillable="true"/>
        <param name="protocol-version" nillable="true"/>
        <param name="tcp-no-delay" nillable="true"/>
        <param name="statistics-enabled" nillable="true"/>
        <param name="modules" nillable="true" type="List&lt;String&gt;"/>
        <param name="connection-timeout" nillable="true"/>
        <param name="transaction-timeout" nillable="true"/>
        <param name="marshaller" nillable="true"/>
        <param name="socket-timeout" nillable="true"/>
        <param name="tcp-keep-alive" nillable="true"/>
        <param name="properties" nillable="true"/>
        <param name="remote-cache-container" feature-id="true"/>
    </params>
</feature-spec>